Skip to main content
PATCH
[Instances] Partially update compute instance metadata

Authorizations

Authorization
string
header
required

Use Authorization: Bearer <token> header. Token can be a JWT token or an API key (format: sk-onetsolutions-...).

Path Parameters

id
string<uuid>
required

A UUID string identifying this Instance.

organization_id
string
required

Unique identifier of the organization that owns the resource.

project_id
string
required

Unique identifier of the project containing the resource.

Body

application/json
name
string

Instance hostname

Maximum string length: 255
size_id
string<uuid>
write-only
location_id
string<uuid>
write-only
vpc_id
string<uuid> | null
write-only
image_id
string<uuid>
write-only
os_name
string

Operating system name

Maximum string length: 100
billing_cycle
enum<string>
  • free - Free
  • one_time - One Time
  • hourly - Hourly
  • monthly - Monthly
  • quarterly - Quarterly
  • semi_annually - Semi-Annually
  • annually - Annually
  • biennially - Biennially
  • triennially - Triennially
Available options:
free,
one_time,
hourly,
monthly,
quarterly,
semi_annually,
annually,
biennially,
triennially
tags
string[]

Custom tags

Maximum string length: 50

Response

Instance updated successfully

id
string<uuid>
required
read-only
legacy_id
integer
required
read-only
organization_id
string<uuid>
required
read-only
project_id
string<uuid>
required
read-only
name
string
required

Instance hostname

Maximum string length: 255
status
enum<string>
required
read-only

Billing status

  • pending - Pending
  • provisioning - Provisioning
  • active - Active
  • suspended - Suspended
  • terminated - Terminated
  • cancelled - Cancelled
  • error - Error
Available options:
pending,
provisioning,
active,
suspended,
terminated,
cancelled,
error
size
object
required
location
object
required
vpc
object
required
image
object
required
os_name
string
required

Operating system name

Maximum string length: 100
primary_ipv4
string | null
required
read-only
primary_ipv6
string | null
required
read-only
ip_addresses
object[]
required
read-only
volumes
object[]
required
read-only
billing_start_date
string<date-time>
required
read-only
billing_end_date
string<date-time> | null
required
read-only

For prepaid only

next_billing_date
string<date-time> | null
required
read-only
cancellation_requested_at
string<date-time> | null
required
read-only

When cancellation was requested, effective at billing_end_date

cancellation_reason
string
required
read-only

Reason provided for cancellation request

bandwidth_used_gb
string
required
read-only
Pattern: ^-?\d{0,13}(?:\.\d{0,2})?$
is_active
boolean
required
read-only
is_installed
boolean
required
read-only

Whether the instance OS/service has been installed

snapshot_enabled
boolean
required
read-only

Snapshot option active on the service

backup_enabled
boolean
required
read-only

Backup option active on the service

active_addons
object[]
required
read-only
gpu_capable
boolean
required
read-only
state_sync
object
required
agent_info
object
required
created
string<date-time>
required
read-only
modified
string<date-time>
required
read-only
billing_cycle
enum<string>
  • free - Free
  • one_time - One Time
  • hourly - Hourly
  • monthly - Monthly
  • quarterly - Quarterly
  • semi_annually - Semi-Annually
  • annually - Annually
  • biennially - Biennially
  • triennially - Triennially
Available options:
free,
one_time,
hourly,
monthly,
quarterly,
semi_annually,
annually,
biennially,
triennially
tags
string[]

Custom tags

Maximum string length: 50